<section class="campaigns">
    <div class="container">
        <div class="row">
            <div class="col-12">
                <h2>Campaigns</h2>
                <ul>
                    <li>
                        <button (click)="filterProducts('closing soon')">closing soon</button>
                    </li>
                    <li>
                        <button (click)="filterProducts('explore')">explore</button>
                    </li>
                    <li>
                        <button (click)="filterProducts('sold out')">sold out</button>
                    </li>
                </ul>
                <div class="selected-cateogry">
                    <p id="selectedFilter"></p>
                    <p id="slectedFilteritemsCount"></p>
                </div>
            </div>
        </div>
    </div>
    <div class="container cards-container">
        <div class="row">
            <div class="col-12">
                <owl-carousel-o [options]="customOptions" class="owl-carousel-container">
                    <ng-container *ngFor="let slide of filteredItems">
                        <ng-template carouselSlide [id]="slide.id">
                            <div class="card">
                                <div *ngIf="soldOutItemsLoaded" class="overlay"></div>
                                <div class="card-image">
                                    <img src="../../assets/images/product.png" class="card-img-top" alt="Product Image">
                                    <span *ngIf="slide.type">{{ slide.type }}</span>
                                </div>
                                <div class="product-limit">
                                    <p>{{ slide.limit }} <span>sold out of</span> 240</p>
                                    <div class="progress">
                                        <div [ngClass]="limitClass(slide.limit)" role="progressbar" [style.width]="slide.limitPercentage+'%'" [attr.aria-valuenow]="slide.limitPercentage" aria-valuemin="0" aria-valuemax="100"></div>
                                    </div>
                                </div>
                                <div class="card-body">
                                    <p class="card-title">{{ slide.name }}</p>
                                    <p class="card-text">get a chance to <span>win</span> :</p>
                                    <p>armor blu</p>
                                    <div class="price-share-container">
                                        <p *ngIf="currentCurrency === 'aed'">{{ slide.currency}}
                                            <span>{{ slide.price }}</span></p>
                                        <p *ngIf="currentCurrency === 'usd'">{{ currentCurrency }}
                                            <span>{{ dollarPrice }}</span></p>
                                        <div class="like-share-wrapper">
                                            <share-buttons [theme]="'modern-dark'" [showIcon]="false" [include]="['facebook']" [show]="1" [showText]="true" [showCount]="false" [size]="-2" [url]="'https://facebook.com/'" [tags]="'facebook'" [autoSetMeta]="false"></share-buttons>
                                            <i (click)="checkLike(slide.id)" [ngClass]="addLike(slide.liked)" aria-hidden="true"></i>
                                        </div>
                                    </div>
                                    <div class="add-to-cart">
                                        <button>prize details</button>
                                        <button (click)="addToCart()">add to cart</button>
                                    </div>
                                </div>
                            </div>
                        </ng-template>
                    </ng-container>
                </owl-carousel-o>
            </div>
        </div>
    </div>
</section>